Arduino

Buy | Download | Getting Started | Learning | Reference | Hardware | FAQ

Blog » | Forum » | Playground »

Reference Language | Libraries | Comparison | Changes

## Wire.endTransmission()

#### Description

Ends a transmission to a slave device that was begun by beginTransmission() and actually transmits the bytes that were queued by send().

#### Parameters

None

#### Returns

byte, which indicates the status of the transmission:

0
  success
1
  data too long to fit in transmit buffer
2
  received NACK on transmit of address
3
  received NACK on transmit of data
4
  other error

#### See Also

- Wire.beginTransmission()
- Wire.send()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

Share|
Edit Page | Page History | Printable View | All Recent Site Changes